@extends('layouts.admin')
@section('content')
<style>
    .table.dataTable tbody td.select-checkbox:before {
    display: none;
}
.btn-danger{
    display: none;
}
</style>
<div class="card">
    <div class="card-header">
        {{ trans('global.log.title_singular') }} {{ trans('global.list') }}
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover datatable">
                <thead>
                    <tr>
                        <th width="10">
                              S. No.
                        </th>
                        <th>
                            User Name
                        </th>
                        <th>
                            Action
                        </th>
                        <th>
                            Body
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($logs as $index => $log)
                        <tr data-entry-id="{{ $log->id }}">
                            <td>
                                {{ $index + 1 }}
                            </td>
                            <td>
                                {{ $log->users->name ?? '' }}
                            </td>
                            <td>
                                {{ $log->action ?? '' }}
                            </td>
                            <td>
                                {{ is_array($log->data) ? json_encode($log->data) : $log->data ?? '' }}
                            </td>
                    
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
   
@section('scripts')
@parent
<script>
    $(function () {
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.products.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('product_delete')
  dtButtons.push(deleteButton)
@endcan

  $('.datatable:not(.ajaxTable)').DataTable({ buttons: dtButtons })
})

</script>
@endsection
@endsection