<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>Ritecontrol</title>

        <!-- Fonts -->
        <link href="https://fonts.googleapis.com/css?family=Nunito:200,600" rel="stylesheet">
        <link rel="stylesheet" href="https://cdn.datatables.net/1.10.25/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.25/css/dataTables.bootstrap4.min.css">

        <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.25/js/dataTables.bootstrap4.min.js"></script>


        <!-- Styles -->
        <style>
            html, body {
                background-color: #fff;
                color: #636b6f;
                font-family: 'Nunito', sans-serif;
                font-weight: 200;
                height: 100vh;
                margin: 0;
            }

            .full-height {
                height: 100vh;
            }

            .flex-center {
                align-items: center;
                display: flex;
                justify-content: center;
            }

            .flex-center.position-ref.full-height {
                flex-wrap: wrap;
            }
            .position-ref {
                position: relative;
            }

            div#pivotTable_wrapper {
                max-width: 680px;
                overflow: auto;
            }

            .top-right {
                position: absolute;
                right: 10px;
                top: 18px;
            }

            .content {
                text-align: center;
            }

            .title {
                font-size: 84px;
            }

            .links > a {
                color: #636b6f;
                padding: 0 25px;
                font-size: 13px;
                font-weight: 600;
                letter-spacing: .1rem;
                text-decoration: none;
                text-transform: uppercase;
            }

            .m-b-md {
                margin-bottom: 30px;
            }
            .form-container {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

form {
    max-width: 400px;
    margin: 0 auto;
}

h2 {
    text-align: center;
    color: #333;
}

label {
    display: block;
    margin-bottom: 8px;
    color: #555;
}

input,
textarea {
    width: 100%;
    padding: 8px;
    margin-bottom: 16px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
}

button {
    background-color: #007bff;
    color: #fff;
    padding: 10px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

button:hover {
    background-color: #0056b3;
}
.alert {
        padding: 15px;
        margin-bottom: 20px;
        border: 1px solid transparent;
        border-radius: 4px;
    }

    .alert-success {
        color: #3c763d;
        background-color: #dff0d8;
        border-color: #d6e9c6;
    }

    .close {
        float: right;
        font-size: 20px;
        font-weight: bold;
        line-height: 1;
        color: #000;
        text-shadow: 0 1px 0 #fff;
        opacity: .2;
    }

    .close:hover {
        color: #000;
        text-decoration: none;
        opacity: .5;
    }
.custom_page .content div#pivotTable_wrapper {
    max-width: 1600px;
    margin: 0 auto;
    padding: 0 15px 50px;
    width: 90%;
}
.custom_page .content {
    width: 100%;
    display: inline-block;
}
.custom_page .form-container {
    box-shadow: none;
    margin-bottom: 40px;
}
.form-container button[type="submit"].custom_btn {
    margin-top: 16px;
    border-radius: 5px;
    padding: 10px 25px;
}
.custom_page  form {
    max-width: 600px;
    padding: 60px;
    border: 1px solid #cccccc38;
    border-radius: 5px;
    background: #f5f5f56b;
    text-align: left;
}
.custom_page  input {
    margin-bottom: 15px;
}
.custom_page  label {
    font-weight: 600;
}
.custom_page table.dataTable>thead .sorting:after,.custom_page table.dataTable>thead .sorting:before{
    display:none;
}

@media screen and (max-width: 767px) {
.custom_page  form {
    padding: 30px;
}
.custom_page .form-container {
    margin-top: 40px;
}
.custom_page h1 {
    text-align: left;
    padding: 0 15px;
    font-size: 30px;
}
.custom_page   div#pivotTable_length {
    text-align: left;
}
.custom_page .content div#pivotTable_wrapper {
    padding: 10px 0 50px;
}
.custom_page table.dataTable {
    text-align: left;
}
.custom_page  table.dataTable thead th,.custom_page  table.dataTable thead td {
    padding: 8px 24px 8px 3px !important;
}
}
#anchor{
    text-decoration:none;
}
        </style>
    </head>
    <body>
        <section class="custom_page">
        <div class="flex-center position-ref full-height">
            @if (Route::has('login'))
                <div class="top-right links">
                    @auth
                        <a href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Logout</a>
                        <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                            @csrf
                        </form>
                    @else
                        <a href="{{ route('login') }}">Login</a>
                        @if (Route::has('register'))
                            <a href="{{ route('register') }}">Register</a>
                        @endif
                    @endauth
                </div>
            @endif


            <div class="content">
                <div class="form-container">
                   
                    @if (Session::has('success'))
                        <div class="alert alert-success text-center">
                            <a href="javascript:void(0);" class="close" onclick="closeAlert()" aria-label="close">×</a>
                            <p>{{ Session::get('success') }}</p>
                        </div>
                    @endif
                    <form action="{{ route('user.update-info') }}" method="post">
                         <h2>INFO</h2>
                    @csrf
                        <label for="version">Version:</label>
                        <input type="text" id="version" name="version" value="{{ $userInfo->Version ?? '' }}" required>

                        <label for="projectName">Project Name:</label>
                        <input type="text" id="projectName" name="projectName" value="{{ $userInfo->ProjectName ?? '' }}" required>

                        <label for="pivotCount">Pivot Count:</label>
                        <input type="text" id="pivotCount" name="pivotCount" value="{{ $userInfo->PivotCount ?? '' }}" required>

                        <label for="pumpProject">Pump Project:</label>
                        <input type="text" id="pumpProject" name="pumpProject" value="{{ $userInfo->PumpProject ?? '' }}" required>

                        <label for="pumpProjectName">Pump Project Name:</label>
                        <input type="text" id="pumpProjectName" name="pumpProjectName" value="{{ $userInfo->PumpProjectName ?? '' }}" required>

                        <label for="maps">Maps:</label>
                        <input type="text" id="maps" name="maps" value="{{ $userInfo->Maps ?? '' }}" required>

                        <label for="mapsName">Maps Name:</label>
                        <input type="text" id="mapsName" name="mapsName" value="{{ $userInfo->MapsName ?? '' }}" required>

                        <button class="custom_btn" type="submit">Submit</button>
                    </form>
                </div>

                <h1>Pivot Data</h1>

                <table id="pivotTable" class="table">
                    <thead>
                        <tr>
                            <th>PivotID</th>
                            <th>PivotName</th>
                            <th>IPAddress</th>
                            <th>PivotPort</th>
                            <th>PLCType</th>
                            <th>CenterLat</th>
                            <th>CenterLon</th>
                            <th>Value4</th>
                            <th>Value5</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($pivots as $pivot)
                        <tr>
                            <form  action="{{ route('pivot.update') }}" method="post">
                                    @csrf
                                    @method('POST') 
                                    <!-- {{ old('Value5', isset($pivot) ? $pivot->Value5 : '') }} -->
                                    <input type="hidden" id="pivotId" name="pivotId" value="{{$pivot->id}}">
                                <td><input type="text" name="PivotID" value="{{ old('PivotID', isset($pivot) ? $pivot->PivotID : '') }}" readonly></td>
                                <td><input type="text" name="PivotName" value="{{ old('PivotName', isset($pivot) ? $pivot->PivotName : '') }}" ></td>
                                <td><input type="text" name="IPAddress" value="{{ old('IPAddress', isset($pivot) ? $pivot->IPAddress : '') }}" ></td>
                                <td><input type="text" name="PivotPort" value="{{ old('PivotPort', isset($pivot) ? $pivot->PivotPort : '') }}" ></td>
                                <td><input type="text" name="PLCType" value="{{ old('PLCType', isset($pivot) ? $pivot->PLCType : '') }}" ></td>
                                <td><input type="text" name="CenterLat" value="{{ old('CenterLat', isset($pivot) ? $pivot->CenterLat : '') }}" ></td>
                                <td><input type="text" name="CenterLon" value="{{ old('CenterLon', isset($pivot) ? $pivot->CenterLon : '') }}" ></td>
                                <td><input type="text" name="Value4" value="{{ old('Value4', isset($pivot) ? $pivot->Value4 : '') }}"></td>
                                <td><input type="text" name="Value5" value=" {{ old('Value5', isset($pivot) ? $pivot->Value5 : '') }}" ></td>
                                <td>
                                    <button type="submit" class="btn btn-xs btn-info editPivotButton" >
                                    Update Pivot
                                    </button>
                                </td>
                            </form>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
              
            </div>
        </div>
      </section>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>


<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>

    </body>

    
</html>
