<?php


use Illuminate\Foundation\Http\FormRequest as Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\AuthController;


Route::get('/', function (\Illuminate\Http\Request $request) {
    if (auth()->check() && auth()->user()->id === 1) {
        return redirect()->route('admin.home');
    }

    return app('App\Http\Controllers\UserController')->index($request);
})->name('home')->middleware('auth');

// Route::get('/', 'UserController@index')->name('home')->middleware('auth');

Route::post('/user/update-info', 'UserController@update')->name('user.update-info')->middleware('auth');

Auth::routes(['register' => false]);

Route::post('/pivot/update', 'UserController@updatePivot')->name('pivot.update')->middleware('auth');
// Route::get('/pivot/edit/{id}', 'UserController@editPivot')->name('pivot.edit');
Route::get('/pivot/edit/{id}', 'UserController@editPivot')->name('frontend.index')->middleware('auth');


Route::get('/register', 'Auth\RegisterController@showRegistrationForm')->name('register');
Route::post('/register', 'Auth\RegisterController@register');

Route::group(['prefix' => 'admin', 'as' => 'admin.', 'namespace' => 'Admin', 'middleware' => ['auth']], function () {
    Route::get('/', 'HomeController@index')->name('home');

    Route::delete('permissions/destroy', 'PermissionsController@massDestroy')->name('permissions.massDestroy');

    Route::resource('permissions', 'PermissionsController');

    Route::delete('roles/destroy', 'RolesController@massDestroy')->name('roles.massDestroy');

    Route::resource('roles', 'RolesController');

    Route::delete('users/destroy', 'UsersController@massDestroy')->name('users.massDestroy');

    Route::resource('users', 'UsersController');

    Route::delete('products/destroy', 'ProductsController@massDestroy')->name('products.massDestroy');

    Route::resource('products', 'ProductsController');


    Route::delete('datas/destroy', 'DataController@massDestroy')->name('datas.massDestroy');


    Route::resource('logs', 'DataController');
    Route::resource('userlogs', 'LogController');
});
